
Redmine - Defect #33381

Possible double includes in issue query in gantt helper

2020-04-30 17:27 - Felix Schäfer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version: 3.4.0

Description

The following include line source:/tags/3.4.0/lib/redmine/helpers/gantt.rb#L141 should not be needed anymore as per r16221. It will

not cause any problems currently, but should for example the sort options include any of the included relations, this might lead to

ambiguous names in the JOIN statement/double JOIN statements leading to an error in the sorting.

This affects all versions since 3.4.0

Related issues:

Related to Redmine - Patch #24865: Load associations of query results more ef... Closed

Associated revisions

Revision 21028 - 2021-06-06 06:48 - Go MAEDA

Possible double includes in issue query in gantt helper (#33381).

Contributed by Felix Schäfer.

History

#1 - 2020-05-01 00:01 - Go MAEDA

- Target version set to Candidate for next minor release

#2 - 2020-06-22 08:14 - Go MAEDA

- File 33381.patch added

#3 - 2021-06-03 09:58 - Go MAEDA

- Related to Patch #24865: Load associations of query results more efficiently added

#4 - 2021-06-03 10:01 - Go MAEDA

- Target version changed from Candidate for next minor release to 5.0.0

Setting the target version to 5.0.0.

#5 - 2021-06-06 06:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you.

Files

33381.patch 527 Bytes 2020-06-22 Go MAEDA
